;Copyright 2018 The MITRE Corporation. All rights reserved. Approved for public release. Distribution unlimited 17-2122.
; For more information on CALDERA, the automated adversary emulation system, visit https://github.com/mitre/caldera or email attack@mitre.org
; This has 5 hosts, 5 user, 2 admin per host, 2 active account per host
(define (problem p5_hosts_trial_4)
(:domain caldera)
(:objects
    id_bstimedelta id_betimedelta id_bltimedelta id_bztimedelta id_xtimedelta - observedtimedelta
    id_sdomainuser id_kdomainuser id_odomainuser id_cdomainuser id_gdomainuser - observeddomainuser
    id_cwschtask id_czschtask id_daschtask id_cxschtask id_cyschtask - observedschtask
    id_cpshare id_cnshare id_cqshare id_coshare id_cmshare - observedshare
    id_csrat id_curat id_ctrat id_cvrat id_crrat id_cfrat - observedrat
    id_tdomaincredential id_ddomaincredential id_hdomaincredential id_ldomaincredential id_pdomaincredential - observeddomaincredential
    str__james str__bh str__john str__mary str__bx str__r str__ba str__bp str__bw str__cd str__i str__u str__bi str__e str__b str__q str__robert str__m str__v str__bj str__cc str__ce str__f str__bc str__alpha str__bb str__n str__j str__cg str__bo str__bq str__patricia str__bv - string
    id_cjfile id_clfile id_chfile id_ckfile id_cifile - observedfile
    id_brhost id_byhost id_whost id_bdhost id_bkhost - observedhost
    id_adomain - observeddomain
    num__53 num__46 num__39 num__24 num__38 num__52 num__32 num__45 num__25 num__31 - num
)
(:init
    (knows id_byhost)
    (knows id_cfrat)
    (knows_property id_byhost pfqdn)
    (knows_property id_cfrat pexecutable)
    (knows_property id_cfrat phost)
    (MEM_CACHED_DOMAIN_CREDS id_bdhost id_hdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_bdhost id_tdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_bkhost id_pdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_bkhost id_tdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_brhost id_hdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_brhost id_pdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_byhost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_byhost id_tdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_whost id_hdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_whost id_ldomaincredential)
    (MEM_DOMAIN_USER_ADMINS id_bdhost id_kdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_bdhost id_sdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_bkhost id_odomainuser)
    (MEM_DOMAIN_USER_ADMINS id_bkhost id_sdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_brhost id_cdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_brhost id_sdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_byhost id_cdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_byhost id_gdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_whost id_odomainuser)
    (MEM_DOMAIN_USER_ADMINS id_whost id_sdomainuser)
    (mem_hosts id_adomain id_bdhost)
    (mem_hosts id_adomain id_bkhost)
    (mem_hosts id_adomain id_brhost)
    (mem_hosts id_adomain id_byhost)
    (mem_hosts id_adomain id_whost)
    (prop_cred id_cdomainuser id_ddomaincredential)
    (prop_cred id_gdomainuser id_hdomaincredential)
    (prop_cred id_kdomainuser id_ldomaincredential)
    (prop_cred id_odomainuser id_pdomaincredential)
    (prop_cred id_sdomainuser id_tdomaincredential)
    (PROP_DC id_bdhost yes)
    (PROP_DC id_bkhost no)
    (PROP_DC id_brhost no)
    (PROP_DC id_byhost no)
    (PROP_DC id_whost no)
    (PROP_DNS_DOMAIN id_adomain str__b)
    (PROP_DNS_DOMAIN_NAME id_bdhost str__bh)
    (PROP_DNS_DOMAIN_NAME id_bkhost str__bo)
    (PROP_DNS_DOMAIN_NAME id_brhost str__bv)
    (PROP_DNS_DOMAIN_NAME id_byhost str__cc)
    (PROP_DNS_DOMAIN_NAME id_whost str__ba)
    (PROP_DOMAIN id_bdhost id_adomain)
    (PROP_DOMAIN id_bkhost id_adomain)
    (PROP_DOMAIN id_brhost id_adomain)
    (PROP_DOMAIN id_byhost id_adomain)
    (PROP_DOMAIN id_cdomainuser id_adomain)
    (PROP_DOMAIN id_ddomaincredential id_adomain)
    (PROP_DOMAIN id_gdomainuser id_adomain)
    (PROP_DOMAIN id_hdomaincredential id_adomain)
    (PROP_DOMAIN id_kdomainuser id_adomain)
    (PROP_DOMAIN id_ldomaincredential id_adomain)
    (PROP_DOMAIN id_odomainuser id_adomain)
    (PROP_DOMAIN id_pdomaincredential id_adomain)
    (PROP_DOMAIN id_sdomainuser id_adomain)
    (PROP_DOMAIN id_tdomaincredential id_adomain)
    (PROP_DOMAIN id_whost id_adomain)
    (prop_elevated id_cfrat yes)
    (prop_executable id_cfrat str__cg)
    (PROP_FQDN id_bdhost str__bi)
    (PROP_FQDN id_bkhost str__bp)
    (PROP_FQDN id_brhost str__bw)
    (PROP_FQDN id_byhost str__cd)
    (PROP_FQDN id_whost str__bb)
    (prop_host id_betimedelta id_bdhost)
    (prop_host id_bltimedelta id_bkhost)
    (prop_host id_bstimedelta id_brhost)
    (prop_host id_bztimedelta id_byhost)
    (prop_host id_cfrat id_byhost)
    (prop_host id_xtimedelta id_whost)
    (PROP_HOSTNAME id_bdhost str__bj)
    (PROP_HOSTNAME id_bkhost str__bq)
    (PROP_HOSTNAME id_brhost str__bx)
    (PROP_HOSTNAME id_byhost str__ce)
    (PROP_HOSTNAME id_whost str__bc)
    (PROP_IS_GROUP id_cdomainuser no)
    (PROP_IS_GROUP id_gdomainuser no)
    (PROP_IS_GROUP id_kdomainuser no)
    (PROP_IS_GROUP id_odomainuser no)
    (PROP_IS_GROUP id_sdomainuser no)
    (PROP_MICROSECONDS id_betimedelta num__32)
    (PROP_MICROSECONDS id_bltimedelta num__39)
    (PROP_MICROSECONDS id_bstimedelta num__46)
    (PROP_MICROSECONDS id_bztimedelta num__53)
    (PROP_MICROSECONDS id_xtimedelta num__25)
    (PROP_PASSWORD id_ddomaincredential str__e)
    (PROP_PASSWORD id_hdomaincredential str__i)
    (PROP_PASSWORD id_ldomaincredential str__m)
    (PROP_PASSWORD id_pdomaincredential str__q)
    (PROP_PASSWORD id_tdomaincredential str__u)
    (PROP_SECONDS id_betimedelta num__31)
    (PROP_SECONDS id_bltimedelta num__38)
    (PROP_SECONDS id_bstimedelta num__45)
    (PROP_SECONDS id_bztimedelta num__52)
    (PROP_SECONDS id_xtimedelta num__24)
    (PROP_SID id_cdomainuser str__f)
    (PROP_SID id_gdomainuser str__j)
    (PROP_SID id_kdomainuser str__n)
    (PROP_SID id_odomainuser str__r)
    (PROP_SID id_sdomainuser str__v)
    (PROP_TIMEDELTA id_bdhost id_betimedelta)
    (PROP_TIMEDELTA id_bkhost id_bltimedelta)
    (PROP_TIMEDELTA id_brhost id_bstimedelta)
    (PROP_TIMEDELTA id_byhost id_bztimedelta)
    (PROP_TIMEDELTA id_whost id_xtimedelta)
    (PROP_USER id_ddomaincredential id_cdomainuser)
    (PROP_USER id_hdomaincredential id_gdomainuser)
    (PROP_USER id_ldomaincredential id_kdomainuser)
    (PROP_USER id_pdomaincredential id_odomainuser)
    (PROP_USER id_tdomaincredential id_sdomainuser)
    (PROP_USERNAME id_cdomainuser str__james)
    (PROP_USERNAME id_gdomainuser str__mary)
    (PROP_USERNAME id_kdomainuser str__john)
    (PROP_USERNAME id_odomainuser str__patricia)
    (PROP_USERNAME id_sdomainuser str__robert)
    (PROP_WINDOWS_DOMAIN id_adomain str__alpha)
)
(:goal
(and
    (prop_host id_cvrat id_bkhost)
    (prop_host id_csrat id_brhost)
    (prop_host id_ctrat id_whost)
    (prop_host id_curat id_bdhost)
)
)
)