;Copyright 2018 The MITRE Corporation. All rights reserved. Approved for public release. Distribution unlimited 17-2122.
; For more information on CALDERA, the automated adversary emulation system, visit https://github.com/mitre/caldera or email attack@mitre.org
; This has 8 hosts, 4 user, 2 admin per host, 2 active account per host
(define (problem p8_hosts_trial_5)
(:domain caldera)
(:objects
    id_adomain - observeddomain
    id_bvtimedelta id_cctimedelta id_bhtimedelta id_cqtimedelta id_cjtimedelta id_ttimedelta id_botimedelta id_batimedelta - observedtimedelta
    str__bz str__ct str__w str__bs str__ca str__cn str__r str__alpha str__cm str__cv str__cf str__f str__e str__by str__bf str__co str__i str__john str__bl str__bd str__cx str__b str__br str__n str__mary str__m str__james str__bm str__cg str__be str__q str__bt str__ch str__x str__y str__patricia str__bk str__cu str__j - string
    id_pdomaincredential id_hdomaincredential id_ldomaincredential id_ddomaincredential - observeddomaincredential
    id_edshare id_dwshare id_dyshare id_ebshare id_dxshare id_eashare id_dzshare id_ecshare - observedshare
    id_cyfile id_dcfile id_ddfile id_dafile id_czfile id_defile id_dbfile id_dffile - observedfile
    id_djschtask id_dnschtask id_dgschtask id_dkschtask id_dmschtask id_dischtask id_dlschtask id_dhschtask - observedschtask
    id_cihost id_bnhost id_zhost id_bghost id_cbhost id_shost id_cphost id_buhost - observedhost
    id_cdomainuser id_kdomainuser id_odomainuser id_gdomainuser - observeddomainuser
    id_dvrat id_cwrat id_durat id_dsrat id_drrat id_dorat id_dprat id_dtrat id_dqrat - observedrat
    num__69 num__35 num__28 num__27 num__20 num__62 num__63 num__48 num__70 num__41 num__42 num__49 num__56 num__55 num__21 num__34 - num
)
(:init
    (knows id_bghost)
    (knows id_cwrat)
    (knows_property id_bghost pfqdn)
    (knows_property id_cwrat pexecutable)
    (knows_property id_cwrat phost)
    (MEM_CACHED_DOMAIN_CREDS id_bghost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_bghost id_pdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_bnhost id_ddomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_bnhost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_buhost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_buhost id_pdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_cbhost id_hdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_cbhost id_pdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_cihost id_ddomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_cihost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_cphost id_hdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_cphost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_shost id_ldomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_shost id_pdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_zhost id_hdomaincredential)
    (MEM_CACHED_DOMAIN_CREDS id_zhost id_ldomaincredential)
    (MEM_DOMAIN_USER_ADMINS id_bghost id_cdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_bghost id_gdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_bnhost id_kdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_bnhost id_odomainuser)
    (MEM_DOMAIN_USER_ADMINS id_buhost id_gdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_buhost id_kdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_cbhost id_kdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_cbhost id_odomainuser)
    (MEM_DOMAIN_USER_ADMINS id_cihost id_kdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_cihost id_odomainuser)
    (MEM_DOMAIN_USER_ADMINS id_cphost id_kdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_cphost id_odomainuser)
    (MEM_DOMAIN_USER_ADMINS id_shost id_cdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_shost id_gdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_zhost id_gdomainuser)
    (MEM_DOMAIN_USER_ADMINS id_zhost id_odomainuser)
    (mem_hosts id_adomain id_bghost)
    (mem_hosts id_adomain id_bnhost)
    (mem_hosts id_adomain id_buhost)
    (mem_hosts id_adomain id_cbhost)
    (mem_hosts id_adomain id_cihost)
    (mem_hosts id_adomain id_cphost)
    (mem_hosts id_adomain id_shost)
    (mem_hosts id_adomain id_zhost)
    (prop_cred id_cdomainuser id_ddomaincredential)
    (prop_cred id_gdomainuser id_hdomaincredential)
    (prop_cred id_kdomainuser id_ldomaincredential)
    (prop_cred id_odomainuser id_pdomaincredential)
    (PROP_DC id_bghost no)
    (PROP_DC id_bnhost no)
    (PROP_DC id_buhost no)
    (PROP_DC id_cbhost no)
    (PROP_DC id_cihost no)
    (PROP_DC id_cphost no)
    (PROP_DC id_shost no)
    (PROP_DC id_zhost no)
    (PROP_DNS_DOMAIN id_adomain str__b)
    (PROP_DNS_DOMAIN_NAME id_bghost str__bk)
    (PROP_DNS_DOMAIN_NAME id_bnhost str__br)
    (PROP_DNS_DOMAIN_NAME id_buhost str__by)
    (PROP_DNS_DOMAIN_NAME id_cbhost str__cf)
    (PROP_DNS_DOMAIN_NAME id_cihost str__cm)
    (PROP_DNS_DOMAIN_NAME id_cphost str__ct)
    (PROP_DNS_DOMAIN_NAME id_shost str__w)
    (PROP_DNS_DOMAIN_NAME id_zhost str__bd)
    (PROP_DOMAIN id_bghost id_adomain)
    (PROP_DOMAIN id_bnhost id_adomain)
    (PROP_DOMAIN id_buhost id_adomain)
    (PROP_DOMAIN id_cdomainuser id_adomain)
    (PROP_DOMAIN id_cbhost id_adomain)
    (PROP_DOMAIN id_cihost id_adomain)
    (PROP_DOMAIN id_cphost id_adomain)
    (PROP_DOMAIN id_ddomaincredential id_adomain)
    (PROP_DOMAIN id_gdomainuser id_adomain)
    (PROP_DOMAIN id_hdomaincredential id_adomain)
    (PROP_DOMAIN id_kdomainuser id_adomain)
    (PROP_DOMAIN id_ldomaincredential id_adomain)
    (PROP_DOMAIN id_odomainuser id_adomain)
    (PROP_DOMAIN id_pdomaincredential id_adomain)
    (PROP_DOMAIN id_shost id_adomain)
    (PROP_DOMAIN id_zhost id_adomain)
    (prop_elevated id_cwrat yes)
    (prop_executable id_cwrat str__cx)
    (PROP_FQDN id_bghost str__bl)
    (PROP_FQDN id_bnhost str__bs)
    (PROP_FQDN id_buhost str__bz)
    (PROP_FQDN id_cbhost str__cg)
    (PROP_FQDN id_cihost str__cn)
    (PROP_FQDN id_cphost str__cu)
    (PROP_FQDN id_shost str__x)
    (PROP_FQDN id_zhost str__be)
    (prop_host id_batimedelta id_zhost)
    (prop_host id_bhtimedelta id_bghost)
    (prop_host id_botimedelta id_bnhost)
    (prop_host id_bvtimedelta id_buhost)
    (prop_host id_cctimedelta id_cbhost)
    (prop_host id_cjtimedelta id_cihost)
    (prop_host id_cqtimedelta id_cphost)
    (prop_host id_cwrat id_bghost)
    (prop_host id_ttimedelta id_shost)
    (PROP_HOSTNAME id_bghost str__bm)
    (PROP_HOSTNAME id_bnhost str__bt)
    (PROP_HOSTNAME id_buhost str__ca)
    (PROP_HOSTNAME id_cbhost str__ch)
    (PROP_HOSTNAME id_cihost str__co)
    (PROP_HOSTNAME id_cphost str__cv)
    (PROP_HOSTNAME id_shost str__y)
    (PROP_HOSTNAME id_zhost str__bf)
    (PROP_IS_GROUP id_cdomainuser no)
    (PROP_IS_GROUP id_gdomainuser no)
    (PROP_IS_GROUP id_kdomainuser no)
    (PROP_IS_GROUP id_odomainuser no)
    (PROP_MICROSECONDS id_batimedelta num__27)
    (PROP_MICROSECONDS id_bhtimedelta num__34)
    (PROP_MICROSECONDS id_botimedelta num__41)
    (PROP_MICROSECONDS id_bvtimedelta num__48)
    (PROP_MICROSECONDS id_cctimedelta num__55)
    (PROP_MICROSECONDS id_cjtimedelta num__62)
    (PROP_MICROSECONDS id_cqtimedelta num__69)
    (PROP_MICROSECONDS id_ttimedelta num__20)
    (PROP_PASSWORD id_ddomaincredential str__e)
    (PROP_PASSWORD id_hdomaincredential str__i)
    (PROP_PASSWORD id_ldomaincredential str__m)
    (PROP_PASSWORD id_pdomaincredential str__q)
    (PROP_SECONDS id_batimedelta num__28)
    (PROP_SECONDS id_bhtimedelta num__35)
    (PROP_SECONDS id_botimedelta num__42)
    (PROP_SECONDS id_bvtimedelta num__49)
    (PROP_SECONDS id_cctimedelta num__56)
    (PROP_SECONDS id_cjtimedelta num__63)
    (PROP_SECONDS id_cqtimedelta num__70)
    (PROP_SECONDS id_ttimedelta num__21)
    (PROP_SID id_cdomainuser str__f)
    (PROP_SID id_gdomainuser str__j)
    (PROP_SID id_kdomainuser str__n)
    (PROP_SID id_odomainuser str__r)
    (PROP_TIMEDELTA id_bghost id_bhtimedelta)
    (PROP_TIMEDELTA id_bnhost id_botimedelta)
    (PROP_TIMEDELTA id_buhost id_bvtimedelta)
    (PROP_TIMEDELTA id_cbhost id_cctimedelta)
    (PROP_TIMEDELTA id_cihost id_cjtimedelta)
    (PROP_TIMEDELTA id_cphost id_cqtimedelta)
    (PROP_TIMEDELTA id_shost id_ttimedelta)
    (PROP_TIMEDELTA id_zhost id_batimedelta)
    (PROP_USER id_ddomaincredential id_cdomainuser)
    (PROP_USER id_hdomaincredential id_gdomainuser)
    (PROP_USER id_ldomaincredential id_kdomainuser)
    (PROP_USER id_pdomaincredential id_odomainuser)
    (PROP_USERNAME id_cdomainuser str__james)
    (PROP_USERNAME id_gdomainuser str__mary)
    (PROP_USERNAME id_kdomainuser str__john)
    (PROP_USERNAME id_odomainuser str__patricia)
    (PROP_WINDOWS_DOMAIN id_adomain str__alpha)
)
(:goal
(and
    (prop_host id_dqrat id_buhost)
    (prop_host id_dvrat id_cihost)
    (prop_host id_durat id_bnhost)
    (prop_host id_dsrat id_zhost)
    (prop_host id_drrat id_cbhost)
    (prop_host id_dorat id_shost)
    (prop_host id_dprat id_cphost)
)
)
)